Skip to main content
POST
/
emails
/
builder
Create a new template
curl --request POST \
  --url https://services.leadconnectorhq.com/emails/builder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "type": "html",
  "importProvider": "mailchimp",
  "title": "template title",
  "updatedBy": "zYy3YOUuHxgomU1uYJty",
  "builderVersion": "2",
  "name": "Template1",
  "parentId": "zYy3YOUuHxgomU1uYJty",
  "templateDataUrl": "",
  "importURL": "https://tplshare.com/fhYJ3Mi",
  "templateSource": "template_library",
  "isPlainText": false,
  "subjectLine": "Email Subject",
  "fromName": "Name of sender",
  "fromEmail": "test@abc.com",
  "previewText": "preview text"
}
'
{
  "redirect": "66e811229245fc098765590",
  "traceId": "0c52e980-41f6-4be7-8c4b-e2c5a13dc3c2"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28
Example:

"2021-07-28"

Body

application/json
locationId
string
required
Example:

"ve9EPM428h8vShlRW1KT"

type
enum<string>
required
Available options:
html,
folder,
import,
builder,
blank,
ai_template
importProvider
enum<string>
required
Available options:
mailchimp,
active_campaign,
kajabi,
other
title
string
Example:

"template title"

updatedBy
string
Example:

"zYy3YOUuHxgomU1uYJty"

builderVersion
enum<string>
default:2
Available options:
1,
2
name
string
Example:

"Template1"

parentId
string
Example:

"zYy3YOUuHxgomU1uYJty"

templateDataUrl
string
Example:

""

importURL
string
Example:

"https://tplshare.com/fhYJ3Mi"

templateSource
string
Example:

"template_library"

isPlainText
boolean
Example:

false

subjectLine
string
Example:

"Email Subject"

fromName
string
Example:

"Name of sender"

fromEmail
string
Example:

"test@abc.com"

previewText
string
Example:

"preview text"

Response

Success

redirect
string
required

template id

Example:

"66e811229245fc098765590"

traceId
string
required

trace id

Example:

"0c52e980-41f6-4be7-8c4b-e2c5a13dc3c2"

Last modified on March 4, 2026